/* Copyright (C) 2004 Hiroyuki OYAMA

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include "module.h"
#include "trackback.h"
#include "encoding.h"
#include "util.h"

static int send_html_contents(request_rec *r, mtb_message_rec *msg)
{
    table *param;
    const char *mode;

    param = (table *)ap_table_get(r->notes, REQUEST_PARAM_FIELD);
    mode = ap_table_get(param, "__mode");
    if (strcasecmp(mode, "helloworld") != 0)
        return DECLINED;


    r->content_type = "text/plain";
    ap_send_http_header(r);

    ap_rputs("Hello World!\n", r);

    return OK;
}

mtb_module_rec mtb_contents_helloworld_module = {
    NULL,
    NULL,
    NULL,
    send_html_contents
};
