/* Copyright (C) 2004 Hiroyuki OYAMA

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include "module.h"
#include "trackback.h"

static int check_proxy(request_rec *r, mtb_message_rec *msg)
{
    const char *str;

    str = ap_table_get(r->headers_in, "X-Forwarded-For");
    if (str != NULL) {
        ap_log_rerror(APLOG_MARK, APLOG_ERR|APLOG_NOERRNO, r,
                      "validate_proxy: cannot proxy access: X-Forwarded-For: '%s'",
                      str);
        return BAD_REQUEST;
    }

    return OK;
}

mtb_module_rec mtb_validate_proxy_module = {
    check_proxy,
    NULL,
    NULL,
    NULL,
};
