/* Copyright (C) 2004 Hiroyuki OYAMA

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include "module.h"
#include "trackback.h"

static int validate_url_scheme(request_rec *r, mtb_message_rec *msg)
{
    /* require url param */
    if (strncmp(msg->url, "http://", sizeof("http://")-1) != 0
        && strncmp(msg->url, "https://", sizeof("https://")-1) != 0)
    {
        ap_log_rerror(APLOG_MARK, APLOG_ERR|APLOG_NOERRNO, r,
                      "validate_url_scheme: invalid url scheme: '%s', msg->url",
                      msg->url);
        return BAD_REQUEST;
    }

    return OK;
}

mtb_module_rec mtb_validate_url_scheme_module = {
    validate_url_scheme,
    NULL,
    NULL,
    NULL,
};
